#ifndef CREATEHEADER_H
#define CREATEHEADER_H

#include <cstdio>	/* required by *printf functions and file I/O */

#include <QDialog>

#include "ui_CreateHeader.h"

namespace DEVIL {
	extern char  devil_file_new_name[11];		// DEVIL file new name (when renaming) in the standard 10 chars
	extern unsigned short devil_file_new_addr;	// code loading address when creating header for headerless .TAP file block
}

class CreateHeader : public QDialog, public Ui::CreateHeader {
	Q_OBJECT
    private slots:
	void acceptHeader();
	void rejectHeader();
    public:
	CreateHeader(QWidget *parent = 0);
};

#endif
