#include <QtGui>

#include "FlagByteDialog.h"

FlagByteDialog::FlagByteDialog(QWidget *parent) : QDialog(parent, Qt::CustomizeWindowHint | Qt::WindowTitleHint) {
	setupUi(this);

	lineEdit1->setText("AA");
	lineEdit1->setMinimumSize(lineEdit1->sizeHint()/5);
	lineEdit1->clear();
	QRegExp rx("^[0-9A-F]{1,2}$");			// only allow typing hex digits
	lineEdit1->setValidator(new QRegExpValidator(rx, lineEdit1));

//	connect(pushButton1, SIGNAL(clicked()), this, SLOT(acceptFlag()));
//	connect(pushButton2, SIGNAL(clicked()), this, SLOT(rejectFlag()));
}

void FlagByteDialog::acceptFlag() {
	sscanf(lineEdit1->text().toAscii().constData(), "%2hhX", &DEVIL::devil_tap_block_flag);
	accept();
}
void FlagByteDialog::rejectFlag() {
	reject();
}
