#include <QtGui>

#include "SaveNameDialog.h"

SaveNameDialog::SaveNameDialog(QWidget *parent) : QDialog(parent, Qt::CustomizeWindowHint | Qt::WindowTitleHint) {
	setupUi(this);

	lineEdit1->setText("XXXXXXXXXXXXXXXXXXXX");
	lineEdit1->setMinimumSize(lineEdit1->sizeHint()/2);
	lineEdit1->clear();

//	connect(pushButton1, SIGNAL(clicked()), this, SLOT(acceptNewName()));
//	connect(pushButton2, SIGNAL(clicked()), this, SLOT(rejectNewName()));
}

void SaveNameDialog::acceptNewName() {
	if ((lineEdit1->text().indexOf('\\') > -1) ||
	(lineEdit1->text().indexOf('/') > -1) ||
	(lineEdit1->text().indexOf('*') > -1) ||
	(lineEdit1->text().indexOf('.') > -1) ||
	(lineEdit1->text().indexOf('?') > -1) ||
	(lineEdit1->text().indexOf('"') > -1) ) {QPalette palette = textLabel2->palette(); palette.setColor(textLabel2->foregroundRole(), Qt::red); textLabel2->setPalette(palette); return;}

	// the extension is added later so for now we just use contents of lineEdit1.
	// next we allocate DEVIL::save_file_name which next will have to be cleared in calling slot of MainWindow
	if (DEVIL::save_file_name_allocated) {free(DEVIL::save_file_name);} DEVIL::save_file_name_allocated=true;
	DEVIL::save_file_name = (char*)malloc((lineEdit1->text().length()+1)*sizeof(char));

	sprintf(DEVIL::save_file_name, "%s", lineEdit1->text().toAscii().constData());
	accept();
}
void SaveNameDialog::rejectNewName() {
	if (DEVIL::save_file_name_allocated) {free(DEVIL::save_file_name); DEVIL::save_file_name_allocated=false;}
	reject();
}
