#ifndef SAVENAMEDIALOG_H
#define SAVENAMEDIALOG_H

#include <cstdio>	/* required by *printf functions and file I/O */

#include <QDialog>

#include "ui_SaveNameDialog.h"

namespace DEVIL {
	extern bool  save_file_name_allocated;
	extern char* save_file_name;
	extern unsigned int dotcount (const char* string);
}

class SaveNameDialog : public QDialog, public Ui::SaveNameDialog {
	Q_OBJECT
    private slots:
	void acceptNewName();
	void rejectNewName();
    public:
	SaveNameDialog(QWidget *parent = 0);
};

#endif
