#!/bin/sh

./cleanup.sh

if [ "$1" == "embed" ]; then
	# generate extra content for resource file
	echo "    <file>doc/help.html</file>" > /tmp/insert.txt
	ls -1a doc/help_files/*.png | sed -e "s/^doc/    <file>doc/g" -e "s/\.png$/.png<\/file>/g" >> /tmp/insert.txt
	# insert extra content
	sed -i -e '/images\">/ r /tmp/insert.txt' CoBra_DEVIL_Disk_Image_Tool.qrc
	rm -fv /tmp/insert.txt
	# change image file prefixes in "help.html"
	sed -i -e "s/<img src=\"help_files\//<img src=\":\/images\/doc\/help_files\//g" doc/help.html

	sed -i -e "s/namespace DEVIL {/#define EMBEDDED_HELP\n\nnamespace DEVIL {/" HelpWindow/HelpWindow.h
fi

# Depending on where you have your static Qt4 built, you might need to replace "/usr/local/Qt4.8.6-static" with its install path
if [ "$2" == "static" ]; then
	export PATH=/usr/local/Qt4.8.6-static/bin:$PATH
	export QTDIR=/usr/local/Qt4.8.6-static
fi

execname="$(basename $(pwd))"
qmake "${execname}.pro"
make

exit 0

