#!/bin/sh

sed -i -e '/^#define EMBEDDED_HELP/ {N; /\n$/d}' HelpWindow/HelpWindow.h

# delete help image files from .qrc file
sed -i -e "/<file>doc/d" CoBra_DEVIL_Disk_Image_Tool.qrc

# reset image file prefixes in "help.html"
if [ -n "$(grep ':/images/doc/help_files/' doc/help.html)" ]; then
	sed -i -e "s/<img src=\":\/images\/doc\//<img src=\"/g" doc/help.html
fi

execname="$(basename $(pwd))"
rm -rfv .moc .obj .ui
rm -fv "$execname"
rm -fv Makefile qrc_CoBra_DEVIL_Disk_Image_Tool.cpp

exit 0

