TEMPLATE	= app

LANGUAGE	= C++

TARGET = 

CONFIG	+= qt warn_on debug

QMAKE_CXXFLAGS += -Wno-unused -Wno-format-zero-length

DEPENDPATH += . \
	      ConfirmDialog \
	      CreateHeader \
	      DevAttrDialog \
	      ErrorPopup \
	      FlagByteDialog \
	      HelpWindow \
	      MainWindow \
	      OptionDialog \
	      RenameDialog \
	      SaveNameDialog
INCLUDEPATH += . \
	       MainWindow \
	       CreateHeader \
	       DevAttrDialog \
	       FlagByteDialog \
	       HelpWindow \
	       OptionDialog \
	       RenameDialog \
	       SaveNameDialog

# Input
HEADERS	+= devil_usage.h \
	   CreateHeader/CreateHeader.h \
	   DevAttrDialog/DevAttrDialog.h \
	   FlagByteDialog/FlagByteDialog.h \
	   HelpWindow/HelpWindow.h \
	   MainWindow/MainWindow.h \
	   OptionDialog/OptionDialog.h \
	   RenameDialog/RenameDialog.h \
	   SaveNameDialog/SaveNameDialog.h

FORMS = ConfirmDialog/ConfirmDialog.ui \
	CreateHeader/CreateHeader.ui \
	DevAttrDialog/DevAttrDialog.ui \
	ErrorPopup/ErrorPopup.ui \
	FlagByteDialog/FlagByteDialog.ui \
	HelpWindow/HelpWindow.ui \
	MainWindow/MainWindow.ui \
	OptionDialog/OptionDialog.ui \
	RenameDialog/RenameDialog.ui \
	SaveNameDialog/SaveNameDialog.ui

SOURCES	+= main.cpp \
	   CreateHeader/CreateHeader.cpp \
	   DevAttrDialog/DevAttrDialog.cpp \
	   FlagByteDialog/FlagByteDialog.cpp \
	   HelpWindow/HelpWindow.cpp \
	   MainWindow/MainWindow.cpp \
	   OptionDialog/OptionDialog.cpp \
	   RenameDialog/RenameDialog.cpp \
	   SaveNameDialog/SaveNameDialog.cpp

RESOURCES += CoBra_DEVIL_Disk_Image_Tool.qrc

QT += qt3support

unix {
  UI_DIR = .ui
  MOC_DIR = .moc
  OBJECTS_DIR = .obj
}

