#include <QtGui>

#include "CreateHeader.h"

CreateHeader::CreateHeader(QWidget *parent) : QDialog(parent, Qt::CustomizeWindowHint | Qt::WindowTitleHint) {
	setupUi(this);

	lineEdit1->setText("XXXXXXXXXX");
	lineEdit1->setMinimumSize(lineEdit1->sizeHint()/2);
	lineEdit1->clear();

//	connect(pushButton1, SIGNAL(clicked()), this, SLOT(acceptHeader()));
//	connect(pushButton2, SIGNAL(clicked()), this, SLOT(rejectHeader()));
}

void CreateHeader::acceptHeader() {
	if (lineEdit2->text().toInt() > 65535) {
		QPalette palette = textLabel2->palette();
		palette.setColor(textLabel2->foregroundRole(), Qt::red);
		textLabel2->setPalette(palette);
		return;
	} else {
		sprintf(DEVIL::devil_file_new_name, "%-10s", lineEdit1->text().toAscii().constData());
		DEVIL::devil_file_new_addr = lineEdit2->text().toInt();
		accept();
	}
}
void CreateHeader::rejectHeader() {
	sprintf(DEVIL::devil_file_new_name, "");
	DEVIL::devil_file_new_addr = 0;
	reject();
}
